jspwiki-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Harry Metske <harry.met...@gmail.com>
Subject Re: Issue with JBOSS-5.0.0.GA
Date Sun, 17 May 2009 11:59:19 GMT
Tom,

this looks like an old classloading issue (similar to WebSphere 6.0 and
older).
I have no knowledge of JBoss at all, but do you have the option to change
the classloading hierarchy (like in WebSphere) ?
Or an option to hide packages (like in Geronimo's geronimo-web.xml).

(we also like to see full stacktraces, not just the first few lines :-) )

regards,
Harry

2009/5/17 Duffy, Thomas J. <thomas.duffy@ngc.com>

> Folks,
>
> I tried replacing WEB-INF/lib/commons-logging-api.jar with
> commons-logging-adapters-1.1.1.jar and still had the following errors:
>
> ERROR [[/JSPWiki]] Exception starting filter WikiJSPFilter
> Java.lang.LinkageError: loader constraints violated when linking
> org/xml/sax/DTDHandler class
>      at org.jdom.input.SAXBuilder.configureParser(SAXBuilder.java:614)
> ...
>
> ERROR [[/JSPWiki]] Exception starting filter WikiServletFilter
> Java.lang.NoClassDefFoundError
>      at com.ecyrd.jspwiki.WikiEngine.initialize(WikiEngine.java:504)
> ...
>
> Any insight?
>
> Thanks,
>
> Tom Duffy
>
> -----Original Message-----
> From: Duffy, Thomas J. [mailto:thomas.duffy@ngc.com]
> Sent: Friday, May 15, 2009 4:49 PM
> To: jspwiki-user@incubator.apache.org
> Subject: RE: Issue with JBOSS-5.0.0.GA
>
> Folks,
>
> Looks like the note in:
> http://www.jspwiki.org/wiki/BugProblemsWithCommonLogging might come in
> handy.
>
> Cheers,
>
> Tom Duffy
>
> -----Original Message-----
> From: Harry Metske [mailto:harry.metske@gmail.com]
> Sent: Friday, May 15, 2009 3:01 PM
> To: jspwiki-user@incubator.apache.org
> Subject: Re: Issue with JBOSS-5.0.0.GA
>
> Tom,
>
> it looks like the web.xml is not quite correct (this has already been
> corrected in JSPWiki 2.8) if you don't want to switch to 2.8, you can
> try to hack the web.xml :
>
> change this:
>
> <web-app xmlns="http://java.sun.com/xml/ns/j2ee"
>        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>
> xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
>        version="2.4">
>
> in
>
> <web-app xmlns="http://java.sun.com/xml/ns/j2ee"
>        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>        xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee
> http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
>        version="2.4">
>
> regards,
> Harry
>
> 2009/5/15 Duffy, Thomas J. <thomas.duffy@ngc.com>
>
> >
> > I successfully implemented JSPWiki 2.6.4 on JBOSS 3.2.6RC2 on a
> > Windows 2000 Server.  To do so I removed log4j from JSPWiki.war as
> > suggested earlier in this page.  I was then able to deploy.  I then
> > exploded the war file as suggested and that also worked fine.
> >
> > When I upgraded JBOSS to 5.0.0.GA, I was unable to deploy JSPWiki
> 2.6.4.
> > When I tried to do so, I got the following errors and warnings:
> >
> > {{{
> > WARN  [SaxJBossXBParser] SchemaLocation: schemaLocation value =
> > 'http://java.sun.com/xml/ns/j2ee/web-app-2_4.xsd' must have an even
> > number of URI's. @
> >
> vfszip:/C:/jboss-5.0.0.GA/server/default/deploy/JSPWiki.war/WEB-INF/web.
> > xml[6,23<http://jboss-5.0.0.GA/server/default/deploy/JSPWiki.war/WEB-I
> > NF/web.%0Axml%5B6,23>
> > ]
> > ERROR [AbstractKernelController] error installing to Parse:
> > name-vfszip:/C:/jboss-5.0.0.GA/server/default/deploy/JSPWiki.war
> > state=Not<http://jboss-5.0.0.GA/server/default/deploy/JSPWiki.war%0Ast
> > ate=Not>Installed mode=Manual requiredState=Parse
> > org.jboss.deployers.spi.DeploymentException: Error creaing managed
> > object for vfszip:C:/jboss-5.0.0.GA/server/default/deploy/JSPWiki.war
> > ...
> > }}}
> >
> > My question now is how do I resolve this issue?
> >
> > --Tom Duffy, 15-May-2009 13:24
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message